=== debian/changelog ===
audacity (3.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.4.2+dfsg
    + Fix failed mod-opus load (Closes: #1055523)

 -- Dennis Braun <snd@debian.org>  Tue, 21 Nov 2023 11:33:55 +0100

audacity (3.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.4.0+dfsg
  * Refresh patchset with gbp pq
  * Add libopusfile-dev and rapidjson-dev to B-Ds
  * Refresh d/copyright files entries
  * Refresh lintian-overrides

 -- Dennis Braun <snd@debian.org>  Mon, 06 Nov 2023 22:37:01 +0100

audacity (3.3.3+dfsg-2) unstable; urgency=medium

  * Clean modified files after successful build (Closes: #1043769)

 -- Dennis Braun <snd@debian.org>  Fri, 22 Sep 2023 14:25:26 +0200
